#include <stdio.h>
#include <stdlib.h>

int main()
{
long long a[3];
	for (int i = 0; i < 3; i++) {
		int tmp;
		scanf("%d", &tmp);
		a[i] =tmp;
	}
	while(1) {
        int swapped=0;
            for (int h=0;h<=2;h++) {
            if (a[h]<a[h+1]) {
             int temp=a[h];
             a[h]=a[h+1];
             a[h]=temp;
             swapped=1;
            }
	}
	if (swapped==0) break;
	}

	for (int i = 0; i < 3; i++) {
		printf("%lli \n", a[i]);
		char tmpc[57];
		sprintf(tmpc, "%lld", a[i]);
	}
printf("%lld%lld%lld",a[0],a[1],a[2]);
}